# Create_Customer_Log

Create a customer log.

`POST /v2/customers/{id}/logs`

**API:** Avalara CertCapture RESTful APIs
**Tag:** Customers
**API Version:** v2
**Base URL:** https://sbx-api.certcapture.com/v2/
**Accepts:** `application/json`
**Authentication:** Basic (username + license key) or API Key (`Authorization` in header)

Source: https://developer.avalara.com/products/ecm/api/certcapture/methods/Customers/Create_Customer_Log/

## Description

Create a log and attach it to a customer.  Note:  Pass in log object, with account and entry:  logs=[{"account":"api log name", "entry":"test entry one"}]

## Parameters

| Name | Type | In | Required | Description |
|---|---|---|---|---|
| `x-client-id` | integer | header | Yes | To access a client ID, it is available from Company Settings -> Company Details -> Company ID |
| `id` |  | path | Yes | The id of the customer object. |
| `logs` | array | query | Yes | Need to pass in the account used to create the log, and the entry itself, that you want to associate with your customer. |

## Responses

| Status | Description | Schema |
|---|---|---|
| 200 | Success | `CustomerLogResource` |
| 400 | Bad Request |  |
| 401 | Unauthorized |  |

### 200 Response: `CustomerLogResource`

CertCapture customer log resource

| Property | Type | Required | Description |
|---|---|---|---|
| `data` | CustomerLogResponse | No |  |

## Example Request

```bash
curl -X POST "https://sbx-api.certcapture.com/v2/v2/customers/{id}/logs" \
  -H "Authorization: Basic <credentials>" \
  -H "Accept: application/json"
```